using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Numeric_Data
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void readValuesButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zmienne przechowujące liczby odczytane z pliku
                // i ich sumę.
                int number1, number2, number3, total;

                // Zmienna typu StreamReader.
                StreamReader inputFile;

                // Otworzenie pliku i pobranie obiektu StreamReader.
                inputFile = File.OpenText("NumericData.txt");

                // Odczytanie trzech liczb z pliku.
                number1 = int.Parse(inputFile.ReadLine());
                number2 = int.Parse(inputFile.ReadLine());
                number3 = int.Parse(inputFile.ReadLine());

                // Obliczenie sumy tych liczb.
                total = number1 + number2 + number3;

                // Wyświetlenie obliczonej sumy.
                MessageBox.Show("Suma odczytanych liczb wynosi " + total);

                // Zamknięcie pliku.
                inputFile.Close();
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show(ex.Message);
            }

        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
